Subject: RE: S-BFD UDP Port Early Allocation Request

From: "Nobo Akiya (nobo)" <[email-masked]>
Date: Mon, 4 Aug 2014 14:58:51 +0000

Hello BFD WG,

Recent S-BFD document restructure has pushed the UDP port assignment from draft-ietf-bfd-seamless-base to draft-akiya-bfd-seamless-ip. Due to this, the early port allocation request we had made became invalid (i.e. UDP port is now being requested from an individual document).

Thus we have officially cancelled the early port allocation request.

Here's the plan going forward.

Step one:
- draft-akiya-bfd-seamless-ip becomes a WG document.
- the WG have a consensus that BOTH draft-ietf-bfd-seamless-base to draft-akiya-bfd-seamless-ip are technically (and structurally) solid.

Step two:
We will go with "Expert Review" to request the UDP port for S-BFD.

Thanks!

-Nobo

> -----Original Message-----
> From: Jeffrey Haas [mailto:[email-masked]]
> Sent: Monday, June 16, 2014 4:38 PM
> To: Nobo Akiya (nobo)
> Cc: Jeffrey Haas; Jeff Haas ([email-masked]); [email-masked];
> [email-masked]; Alia Atlas
> Subject: Re: S-BFD UDP Port Early Allocation Request
> 
> Nobo,
> 
> On Mon, Jun 16, 2014 at 08:31:30PM +0000, Nobo Akiya (nobo) wrote:
> > > I do have a minor concern that, similar to other applications of BFD
> > > that there may be multiple ports required for the S-BFD application
> > > depending on transport.  While the case in the base draft is
> > > reasonably clear, the various application drafts haven't yet reached
> > > maturity for us to be ready to consider adopting them.
> > >
> > > Do you believe the above is incorrect?
> >
> > That's a very fair question. It is my belief that one port will suffice for S-
> BFD on all transports, rather I strongly believe this is preferred to keep S-
> BFD transport agnostic.
> >
> > >
> > > Secondly, this is a reminder that such a request starts a timer:
> > > Upon assignment, the temporary reservation is good for one year with
> > > the possibility of a single one-year extension.  Do you believe
> > > we're ready to start that timer?
> >
> > Because folks are starting to implement this, we need a common port
> number. Indeed this request will start the timer, but that's necessary at this
> point. Let us proceed to start the timer and aim to progress the draft before
> the timer expiry.
> 
> I think given the above, we have sufficient cause to advance early allocation.
> It's now up to the ADs.
> 
> -- Jeff